<div class="front_page_section front_page_section_contacts<?php
	$beautique_scheme = beautique_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $beautique_scheme ) && ! beautique_is_inherit( $beautique_scheme ) ) {
		echo ' scheme_' . esc_attr( $beautique_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( beautique_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( beautique_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$beautique_css      = '';
		$beautique_bg_image = beautique_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $beautique_bg_image ) ) {
			$beautique_css .= 'background-image: url(' . esc_url( beautique_get_attachment_url( $beautique_bg_image ) ) . ');';
		}
		if ( ! empty( $beautique_css ) ) {
			echo ' style="' . esc_attr( $beautique_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$beautique_anchor_icon = beautique_get_theme_option( 'front_page_contacts_anchor_icon' );
	$beautique_anchor_text = beautique_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $beautique_anchor_icon ) || ! empty( $beautique_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $beautique_anchor_icon ) ? ' icon="' . esc_attr( $beautique_anchor_icon ) . '"' : '' )
									. ( ! empty( $beautique_anchor_text ) ? ' title="' . esc_attr( $beautique_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( beautique_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' beautique-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$beautique_css      = '';
			$beautique_bg_mask  = beautique_get_theme_option( 'front_page_contacts_bg_mask' );
			$beautique_bg_color_type = beautique_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $beautique_bg_color_type ) {
				$beautique_bg_color = beautique_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $beautique_bg_color_type ) {
				$beautique_bg_color = beautique_get_scheme_color( 'bg_color', $beautique_scheme );
			} else {
				$beautique_bg_color = '';
			}
			if ( ! empty( $beautique_bg_color ) && $beautique_bg_mask > 0 ) {
				$beautique_css .= 'background-color: ' . esc_attr(
					1 == $beautique_bg_mask ? $beautique_bg_color : beautique_hex2rgba( $beautique_bg_color, $beautique_bg_mask )
				) . ';';
			}
			if ( ! empty( $beautique_css ) ) {
				echo ' style="' . esc_attr( $beautique_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$beautique_caption     = beautique_get_theme_option( 'front_page_contacts_caption' );
			$beautique_description = beautique_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $beautique_caption ) || ! empty( $beautique_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $beautique_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $beautique_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $beautique_caption, 'beautique_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $beautique_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $beautique_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $beautique_description ), 'beautique_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$beautique_content = beautique_get_theme_option( 'front_page_contacts_content' );
			$beautique_layout  = beautique_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $beautique_layout && ( ! empty( $beautique_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $beautique_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $beautique_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $beautique_content, 'beautique_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $beautique_layout && ( ! empty( $beautique_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$beautique_sc = beautique_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $beautique_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $beautique_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					beautique_show_layout( do_shortcode( $beautique_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $beautique_layout && ( ! empty( $beautique_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
