<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package BEAUTIQUE
 * @since BEAUTIQUE 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$beautique_copyright_scheme = beautique_get_theme_option( 'copyright_scheme' );
if ( ! empty( $beautique_copyright_scheme ) && ! beautique_is_inherit( $beautique_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $beautique_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$beautique_copyright = beautique_get_theme_option( 'copyright' );
			if ( ! empty( $beautique_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$beautique_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $beautique_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$beautique_copyright = beautique_prepare_macros( $beautique_copyright );
				// Display copyright
				echo wp_kses( nl2br( $beautique_copyright ), 'beautique_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
