<?php
/**
 * The template to display the background video in the header
 *
 * @package BEAUTIQUE
 * @since BEAUTIQUE 1.0.14
 */
$beautique_header_video = beautique_get_header_video();
$beautique_embed_video  = '';
if ( ! empty( $beautique_header_video ) && ! beautique_is_from_uploads( $beautique_header_video ) ) {
	if ( beautique_is_youtube_url( $beautique_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $beautique_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php beautique_show_layout( beautique_get_embed_video( $beautique_header_video ) ); ?></div>
		<?php
	}
}
