<div class="front_page_section front_page_section_team<?php
	$beautique_scheme = beautique_get_theme_option( 'front_page_team_scheme' );
	if ( ! empty( $beautique_scheme ) && ! beautique_is_inherit( $beautique_scheme ) ) {
		echo ' scheme_' . esc_attr( $beautique_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( beautique_get_theme_option( 'front_page_team_paddings' ) );
	if ( beautique_get_theme_option( 'front_page_team_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$beautique_css      = '';
		$beautique_bg_image = beautique_get_theme_option( 'front_page_team_bg_image' );
		if ( ! empty( $beautique_bg_image ) ) {
			$beautique_css .= 'background-image: url(' . esc_url( beautique_get_attachment_url( $beautique_bg_image ) ) . ');';
		}
		if ( ! empty( $beautique_css ) ) {
			echo ' style="' . esc_attr( $beautique_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$beautique_anchor_icon = beautique_get_theme_option( 'front_page_team_anchor_icon' );
	$beautique_anchor_text = beautique_get_theme_option( 'front_page_team_anchor_text' );
if ( ( ! empty( $beautique_anchor_icon ) || ! empty( $beautique_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_team"'
									. ( ! empty( $beautique_anchor_icon ) ? ' icon="' . esc_attr( $beautique_anchor_icon ) . '"' : '' )
									. ( ! empty( $beautique_anchor_text ) ? ' title="' . esc_attr( $beautique_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_team_inner
	<?php
	if ( beautique_get_theme_option( 'front_page_team_fullheight' ) ) {
		echo ' beautique-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$beautique_css      = '';
			$beautique_bg_mask  = beautique_get_theme_option( 'front_page_team_bg_mask' );
			$beautique_bg_color_type = beautique_get_theme_option( 'front_page_team_bg_color_type' );
			if ( 'custom' == $beautique_bg_color_type ) {
				$beautique_bg_color = beautique_get_theme_option( 'front_page_team_bg_color' );
			} elseif ( 'scheme_bg_color' == $beautique_bg_color_type ) {
				$beautique_bg_color = beautique_get_scheme_color( 'bg_color', $beautique_scheme );
			} else {
				$beautique_bg_color = '';
			}
			if ( ! empty( $beautique_bg_color ) && $beautique_bg_mask > 0 ) {
				$beautique_css .= 'background-color: ' . esc_attr(
					1 == $beautique_bg_mask ? $beautique_bg_color : beautique_hex2rgba( $beautique_bg_color, $beautique_bg_mask )
				) . ';';
			}
			if ( ! empty( $beautique_css ) ) {
				echo ' style="' . esc_attr( $beautique_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_team_content_wrap content_wrap">
			<?php
			// Caption
			$beautique_caption = beautique_get_theme_option( 'front_page_team_caption' );
			if ( ! empty( $beautique_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_team_caption front_page_block_<?php echo ! empty( $beautique_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $beautique_caption, 'beautique_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$beautique_description = beautique_get_theme_option( 'front_page_team_description' );
			if ( ! empty( $beautique_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_team_description front_page_block_<?php echo ! empty( $beautique_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $beautique_description ), 'beautique_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_team_output">
				<?php
				if ( is_active_sidebar( 'front_page_team_widgets' ) ) {
					dynamic_sidebar( 'front_page_team_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! beautique_exists_trx_addons() ) {
						beautique_customizer_need_trx_addons_message();
					} else {
						beautique_customizer_need_widgets_message( 'front_page_team_caption', 'ThemeREX Addons - Team' );
					}
				}
				?>
			</div>
		</div>
	</div>
</div>
