<?php
/**
 * The template to display default site footer
 *
 * @package BEAUTIQUE
 * @since BEAUTIQUE 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$beautique_footer_scheme = beautique_get_theme_option( 'footer_scheme' );
if ( ! empty( $beautique_footer_scheme ) && ! beautique_is_inherit( $beautique_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $beautique_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'beautique_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'beautique_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'beautique_filter_get_template_part', 'templates/footer-socials' ) );

	// Copyright area
	get_template_part( apply_filters( 'beautique_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
